(define-module (ui hostname ajax)
    :use-module (alterator ajax)
    :use-module (alterator woo)
    :use-module (alterator effect)
    :export (init))

(define (ui-read)
  (catch/message
    (lambda()
      (form-update-value-list '("computer_name") (woo-read "/hostname")))))

(define (ui-write)
  (catch/message
    (lambda()
      (woo-write "/hostname" 'computer_name (form-value "computer_name")))))

(define (init)
  (init-effect)
  (ui-read)
  (form-bind "apply_button" "click" ui-write))
