(document:surround "/std/frame")

;;; Functions
(define (ui-read)
  (catch/message
    (lambda()
      (form-update-value-list '("computer_name") (woo-read "/hostname"))))
  (update-effect))

(define (ui-write)
  (catch/message
    (lambda()
      (woo-write "/hostname" 'computer_name (form-value "computer_name")))))

;;; UI

(gridbox columns "50;50;50"
  (label text (_ "Computer name:") nameref "computer_name" align "right")
  (edit name "computer_name")
  (if (global 'frame:next)
    (label)
    (button text (_ "Apply") name "apply_button" align "left")))

;;; Logic
(frame:on-back (lambda() (or (ui-write) 'cancel)))
(frame:on-next (lambda() (or (ui-write) 'cancel)))

(document:root
  (when loaded
    (init-effect)
    (ui-read)
    (or (global 'frame:next)
      (form-bind "apply_button" "click" ui-write))
   (and (global 'frame:next) (frame:back-activity #t))))
